> ## Documentation Index
> Fetch the complete documentation index at: https://doc.lucidworks.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a new entity



## OpenAPI

````yaml /api-reference/4.2/service-index-profiles-crud.json post /index-profiles
openapi: 3.0.0
info:
  version: 4.2.6-rc1
  title: Fusion Service index-profiles-crud
servers:
  - url: /api/apollo/
security: []
tags:
  - name: index-profiles-crud
paths:
  /index-profiles:
    post:
      tags:
        - 4.2 Index Profiles CRUD API
      summary: Create a new entity
      operationId: createEntity
      requestBody:
        $ref: '#/components/requestBodies/IndexProfile'
      responses:
        '200':
          description: successful operation
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Entity'
components:
  requestBodies:
    IndexProfile:
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/IndexProfile'
      description: JSON-formatted configuration values
  schemas:
    Entity:
      type: object
      properties:
        id:
          type: string
    IndexProfile:
      type: object
      properties:
        id:
          type: string
          readOnly: true
        indexPipeline:
          type: string
          readOnly: true
        collection:
          type: string
          readOnly: true
        parser:
          type: string
          readOnly: true
        params:
          type: array
          readOnly: true
          items:
            $ref: '#/components/schemas/ParamAndValue'
    ParamAndValue:
      type: object
      properties:
        key:
          type: string
          readOnly: true
        value:
          type: string
          readOnly: true
        policy:
          type: string
          readOnly: true
          enum:
            - REPLACE
            - APPEND
            - REMOVE
            - DEFAULT

````